Bug 16854 - request.tt: Logic to display messages broken
Summary: request.tt: Logic to display messages broken
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 16849
  Show dependency treegraph
 
Reported: 2016-07-05 11:39 UTC by Marc Véron
Modified: 2017-12-07 22:16 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16854: request.tt: Logic to display messages broken (1.54 KB, patch)
2016-07-05 11:57 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 16854: request.tt: Logic to display messages broken (1.61 KB, patch)
2016-07-05 16:23 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16854: request.tt: Logic to display messages broken (1.66 KB, patch)
2016-07-06 13:44 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-07-05 11:39:27 UTC
The logic to display messages is broken in koha-tmpl/intranet-tmpl/prog/en/modules/reserve/request.tt

To verify, examin code in line 295 and following:

[% IF ( expiry || diffbranch ) %]

This hides messages after line 301:
[% IF restricted %]
...and after line 304:
[% IF amount_outstanding && Koha.Preference('maxoutstanding') && amount_outstanding > Koha.Preference('maxoutstanding') %]
Comment 1 Marc Véron 2016-07-05 11:57:36 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-07-05 16:23:42 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-07-06 13:44:14 UTC
Created attachment 53127 [details] [review]
Bug 16854: request.tt: Logic to display messages broken

This patch fixes broken logic in
koha-tmpl/intranet-tmpl/prog/en/modules/reserve/request.tt

To verify, see initial comment.

To test:
- Apply patch
- Have a patron with a restricion and with outstanding fines
  greater than defined in syspref 'maxoutstanding'
- Place a hold for this patron and verify, that messages
  'Patron has restrictions' and 'Patron has outstanding fines...'
  appear

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-07-08 12:53:17 UTC
Pushed to master for 16.11, thanks Marc!
Comment 5 Frédéric Demians 2016-08-01 13:24:28 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 6 Julian Maurice 2016-08-16 14:40:37 UTC
Patch pushed to 3.22.x, will be in 3.22.10